All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.net.sharenet
Class ShareNetResultSetMetaData

    com.sas.net.sharenet.ShareNetResultSetMetaData

All Implemented Interfaces:
  java.sql.ResultSetMetaData, java.sql.Wrapper

    public class ShareNetResultSetMetaData

implements java.sql.ResultSetMetaData

This class implements java.sql.ResultSetMetaData

Method Summary
`java.lang.String` | `getCatalogName(int column)` Gets the catalog name of the table that the column is in.
`java.lang.String` | `getColumnClassName(int column)` JDBC 2.0 Gets the fully qualified name of the Java class whose instances are manufactured if ResultSet.getObject() is called to retrieve a value from the column.
`int` | `getColumnCount()` Gets the number of columns in the ResultSet.
`int` | `getColumnDisplaySize(int column)` Gets the normal maximum width of the column (in characters).
`java.lang.String` | `getColumnLabel(int column)` Gets the suggested column title for use in printouts and displays.
`java.lang.String` | `getColumnName(int column)` Gets the column name.
`int` | `getColumnType(int column)` Gets the SQL type for the column.
`java.lang.String` | `getColumnTypeName(int column)` Gets the data-source-specific format name for the column including associated format width and decimal information.
`int` | `getPrecision(int column)` Gets the maximum number of decimal digits that can be in the column.
`int` | `getScale(int column)` Gets the number of digits in the column that are to right of the decimal.
`java.lang.String` | `getSchemaName(int column)` Gets the schema name for the table that the column is in.
`java.lang.String` | `getTableName(int column)` Gets the name of the table that the column is in.
`boolean` | `isAutoIncrement(int column)` Determines whether a column automatically numbered.
`boolean` | `isCaseSensitive(int column)` Determines whether case matters in a column.
`boolean` | `isCurrency(int column)` Determines whether a column is a cash value.
`boolean` | `isDefinitelyWritable(int column)` Determines whether you can successfully write to the column.
`int` | `isNullable(int column)` Determines whether you can put a NULL in this column.
`boolean` | `isReadOnly(int column)` Determines whether a column is read-only.
`boolean` | `isSearchable(int column)` Determines whether a column can be used in a WHERE clause.
`boolean` | `isSigned(int column)` Determines whether the value in a column is a signed number.
`boolean` | `isWritable(int column)` Determines whether it is at all possible to successfully write to the column.

Method Detail

### getColumnCount

    public int getColumnCount()
                       throws java.sql.SQLException

  Gets the number of columns in the ResultSet.

  Specified by:
    `getColumnCount` in interface `java.sql.ResultSetMetaData`
  Returns:
    Number of columns.
  Throws:
    `java.sql.SQLException` - This exception is required by the interface, but it is never thrown.

### isAutoIncrement

    public boolean isAutoIncrement(int column)
                            throws java.sql.SQLException

  Determines whether a column automatically numbered.

  Specified by:
    `isAutoIncrement` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    False.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### isCaseSensitive

    public boolean isCaseSensitive(int column)
                            throws java.sql.SQLException

  Determines whether case matters in a column.

  Specified by:
    `isCaseSensitive` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    True if the java.sql.Type is VARCHAR; otherwise False.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### isSearchable

    public boolean isSearchable(int column)
                         throws java.sql.SQLException

  Determines whether a column can be used in a WHERE clause.

  Specified by:
    `isSearchable` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    True.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### isCurrency

    public boolean isCurrency(int column)
                       throws java.sql.SQLException

  Determines whether a column is a cash value.

  Specified by:
    `isCurrency` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    False.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### isNullable

    public int isNullable(int column)
                   throws java.sql.SQLException

  Determines whether you can put a NULL in this column.

  Specified by:
    `isNullable` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    ResultSetMetaData.columnNoNulls or ResultSetMetaData.columnNullable.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### isSigned

    public boolean isSigned(int column)
                     throws java.sql.SQLException

  Determines whether the value in a column is a signed number.

  Specified by:
    `isSigned` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    False if java.sql.Type.VARCHAR or BIT; otherwise True.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### getColumnDisplaySize

    public int getColumnDisplaySize(int column)
                             throws java.sql.SQLException

  Gets the normal maximum width of the column (in characters).

  Specified by:
    `getColumnDisplaySize` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    Maximum width of the column.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### getColumnLabel

    public java.lang.String getColumnLabel(int column)
                                    throws java.sql.SQLException

  Gets the suggested column title for use in printouts and displays.

  Specified by:
    `getColumnLabel` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    The column label.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### getColumnName

    public java.lang.String getColumnName(int column)
                                   throws java.sql.SQLException

  Gets the column name.

  Specified by:
    `getColumnName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    The column name.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### getSchemaName

    public java.lang.String getSchemaName(int column)
                                   throws java.sql.SQLException

  Gets the schema name for the table that the column is in.

  Specified by:
    `getSchemaName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    An empty string (""). The information is not available.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### getPrecision

    public int getPrecision(int column)
                     throws java.sql.SQLException

  Gets the maximum number of decimal digits that can be in the column.

  Specified by:
    `getPrecision` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    For numeric and date columns, the maximum number of decimal digits; for character columns, the maximum length.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### getScale

    public int getScale(int column)
                 throws java.sql.SQLException

  Gets the number of digits in the column that are to right of the decimal.

  Specified by:
    `getScale` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    0. The information is not available.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### getTableName

    public java.lang.String getTableName(int column)
                                  throws java.sql.SQLException

  Gets the name of the table that the column is in.

  Specified by:
    `getTableName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    An empty string (""). The information is not available.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### getCatalogName

    public java.lang.String getCatalogName(int column)
                                    throws java.sql.SQLException

  Gets the catalog name of the table that the column is in.

  Specified by:
    `getCatalogName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    An empty string (""). The information is not available.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### getColumnType

    public int getColumnType(int column)
                      throws java.sql.SQLException

  Gets the SQL type for the column.

  Specified by:
    `getColumnType` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    java.sql.Type for the column.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### getColumnTypeName

    public java.lang.String getColumnTypeName(int column)
                                       throws java.sql.SQLException

  Gets the data-source-specific format name for the column including associated format width and decimal information.

  Specified by:
    `getColumnTypeName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    String The format name of the column including format width and decimal. An empty string("") is returned if no formats are defined for the column.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### isReadOnly

    public boolean isReadOnly(int column)
                       throws java.sql.SQLException

  Determines whether a column is read-only.

  Specified by:
    `isReadOnly` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    False.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### isWritable

    public boolean isWritable(int column)
                       throws java.sql.SQLException

  Determines whether it is at all possible to successfully write to the column.

  Specified by:
    `isWritable` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    True.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### isDefinitelyWritable

    public boolean isDefinitelyWritable(int column)
                                 throws java.sql.SQLException

  Determines whether you can successfully write to the column.

  Specified by:
    `isDefinitelyWritable` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    False.
  Throws:
    `java.sql.SQLException` - This exception is thrown if the value for column is not valid.

### getColumnClassName

    public java.lang.String getColumnClassName(int column)
                                        throws java.sql.SQLException

  JDBC 2.0

  Gets the fully qualified name of the Java class whose instances are manufactured if ResultSet.getObject() is called to retrieve a value from the column. ResultSet.getObject() may return a subClass of the class returned by this method. This method is not yet supported.

  Specified by:
    `getColumnClassName` in interface `java.sql.ResultSetMetaData`
  Parameters:
    `column` - The column index.
  Returns:
    The fully qualified name of the column class.
  Throws:
    `java.sql.SQLException` - This exception is always thrown.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.